VR Planet Screenshot 2

 gearthplugin3-1-300x189

The Google Earth Plug-in currently supports the following web browsers on Microsoft Windows operating systems:

* IE 6.0+
* IE 7.0+
* Firefox 3.0x, 2.x or 2.0x
* Netscape 7.1+
* Mozilla 1.4+
* Flock 1.0+

You may also like